#ifndef CLASSEDITOR_H
#define CLASSEDITOR_H

#include <QMainWindow>
#include "mysql.h"
#include "settingsdialog.h"
#include "tablefield.h"

namespace Ui {
    class ClassEditor;
}

class ClassEditor : public QMainWindow {
    Q_OBJECT
public:
    ClassEditor(QWidget *parent = 0);
    ~ClassEditor();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::ClassEditor *ui;
    MySql sql;
    SettingsDialog settdialog;
    TableField *field;
};

#endif // CLASSEDITOR_H
