#ifndef TABLEFIELD_H
#define TABLEFIELD_H

#include <QObject>
#include <QtGui>
#include <QMainWindow>
#include <QString>
#include <QtSql>
#include <QSqlTableModel>
#include <QTableView>
#include <QSqlDriverPlugin>
#include <QIcon>
#include <QVariant>
#include <QProcess>
#include <QByteArray>

class TableField : public QObject
{
Q_OBJECT
public:

/***********************************************************************************************
 **   TableField     -  
 **      :
 ** *parent = 0 ( "" )
 ** ftype = CHAR(30) (     -   30 )
 ** fdefaultValue = NULL (     "" )
 ***********************************************************************************************/


    /////explicit
            TableField(QString fname = "ID", QObject *parent = 0, QString ftype = "CHAR(30)", QString fdefaultValue = "NULL");

signals:

public slots:

private:
    QString fieldName;          //    
    QString fieldType;          //     ,   
    QString defaultValue;       //    
    QString characterSet;       //   ,     
    bool notNull;               // , ,          (NULL)
    QString SqlString;          //  Sql-      
    void createSqlString();     //    Sql-,       
protected:

public:
    void setName(QString name);
    void setType(QString ftype);
    QString name();
    QString type();
    bool isNotNull();
    void setNotNull(bool fnotNull);
    void setDefaultValue(QString fdefaultValue);

    QString sqlString();        //    Sql-,       
};

#endif // TABLEFIELD_H
